export interface Content {
    element: string;
    width?: (w: number) => number;
    height?: (h: number) => number;
    padding?: number;
    placement?:
    | "auto"
    | "bottom-start"
    | "auto-start"
    | "auto-end"
    | "top"
    | "bottom"
    | "right"
    | "left"
    | "top-start"
    | "top-end"
    | "bottom-end"
    | "right-start"
    | "right-end"
    | "left-start"
    | "left-end";
    behavior?: string;
    title: string;
    text: string;
}

export interface Step {
    current: number;
    total: number;
    finish: boolean;
    isConfig?: boolean;
}

export interface Action {
    nextStep: () => void;
    finish: () => void;
    cancle: () => void;
}

export interface PilotjsConfig {
    content: Content,
    step: Step
    callback?: Action
}
